Page MenuHomePhabricator

[clangd] Respect WarningsAsErrors configuration for clang-tidy
ClosedPublic

Authored by nridge on May 12 2019, 8:51 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

nridge created this revision.May 12 2019, 8:51 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2019, 8:51 PM
ilya-biryukov added inline comments.May 13 2019, 2:08 AM
clang-tools-extra/clangd/ClangdUnit.cpp
346 ↗(On Diff #199200)

Why can't we call CTContext->treatAsError() here?

nridge updated this revision to Diff 199552.May 14 2019, 9:24 PM
nridge marked 2 inline comments as done.

Address review comment

nridge added inline comments.May 14 2019, 9:26 PM
clang-tools-extra/clangd/ClangdUnit.cpp
346 ↗(On Diff #199200)

Good point, that makes this much easier. Thanks!

nridge updated this revision to Diff 199956.May 16 2019, 6:49 PM

Update as per changes to dependent patch D60953

nridge edited reviewers, added: sammccall; removed: ilya-biryukov.May 16 2019, 6:50 PM
nridge added a subscriber: sammccall.

Changing reviewer to @sammccall as the updates to the patch are closely related to the discussion in D60953.

Also added a couple of test cases.

sammccall accepted this revision.May 16 2019, 11:43 PM

LG, thanks for the changes!

This revision is now accepted and ready to land.May 16 2019, 11:43 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 18 2019, 9:16 PM